Bug 880272 - Missing license file
Summary: Missing license file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: checkstyle
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 880275
TreeView+ depends on / blocked
 
Reported: 2012-11-26 15:39 UTC by Endi Sukma Dewata
Modified: 2012-11-26 15:45 UTC (History)
4 users (show)

Fixed In Version: 5.5-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 880275 (view as bug list)
Environment:
Last Closed: 2012-11-26 15:45:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Endi Sukma Dewata 2012-11-26 15:39:36 UTC
[2012-11-23 07:42:35] sochotni:

LICENSE.apache20 and RIGHTS.antlr should *not* be packaged because they are not related to checkstyle itself, just software it depends on.

However LICENSE and README should be included in javadoc subpackage where's it's currently missing

Comment 1 Mikolaj Izdebski 2012-11-26 15:45:42 UTC
I believe that this bug is fixed in checkstyle-5.5-5,
which is available in Fedora Rawhide.  I am closing the bug now,
thank you for reporting it.  A summary of changes is included below.

* Mon Nov 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 5.5-5
- Install proper license files
- Resolves: rhbz#880272


Note You need to log in before you can comment on or make changes to this bug.